{
  "Serilog": {
    "MinimumLevel": {
      "Default": "Debug",
      "Override": {
        "Microsoft": "Information",
        "Microsoft.Hosting.Lifetime": "Debug"
      }
    },
    "WriteTo": [
      {
        "Name": "File",
        "Args": {
          "path": "./logs/log-.txt",
          "shared": true,
          "rollingInterval": "Day"
        }
      }
    ]
  },

  "Jaeger_comment": "OpenTelemetry: Jaeger exporter",
  "Jaeger": {
    "Enabled": false,
    "AgentHost": "10.38.46.231",
    "AgentPort": 6831
  },

  "Scim": {
    "Enabled": true,
    "AuthBasic": "asd:qwe"
  },

  "DX": {
    "EnableHibernation": true,
    "HibernateTimeout": "00:01:00",
    "HibernatedDocumentsDisposeTimeout": "00:05:00",
    "HibernateAllDocumentsOnApplicationEnd": true
  },

  "ListCache": {
    "DataInSession": false,
    "SqlCache2": "Data Source Type=PostgreSQL; Host=10.38.46.221; Port=5434; Database=rmq_cache; User ID=rsdbmgr; Password=1; Maximum Pool Size=550; App Pool Size=500; CommandTimeout=60; ExpirationMode=absolute; ExpirationTimeout=36000",
    "SqlCache": "" //-- label="Настройки SQL кеша" x/>-->
  },

  "OpenIdConnect_comment": [
    "Ниже приведены настройки для входа с использованием единого логина и сервиса аутентификации (Сервис-ID)",
    "В секции SystemSettings необходимо обязательно указать UserName, Password - единый логин и пароль для соединения с БД (реальный логин пользователя прошеднего аутентификацию будет в контексте соединения)",
    "Для данного клиентского приложения (Бюджет-NEXT) в сервисе аутентификации необходимо завести список профилей (которые будут доступны на форме логина)",
    "иначе вход будет осуществляться на указанную в секции SystemSettings базу (DataSourceType Server DataBase)"
  ],
  "OpenIdConnect": {
    "Authority1": "https://10.38.46.119:5444/oauth/",
    "Authority2": "https://localhost:5051/",
    "ClientSecret": "secret string for authenticate",
    "ClientId": "a471da42-5acf-4211-8380-d8f08799751d",
    "Scope": [ "openid", "profile", "offline_access" ]
  },
  "SafeListSettings_comment": "Фильтрация IP-адресов",
  "SafeListSettings": {
    "SafeListEnabled_comment": "Включение/отключение фильтра IP-адресов",
    "SafeListEnabled": false,
    "SafeList_comment": "Список разрешенных IP-адресов",
    "SafeList": ""
  },
  "SystemSettings": {
    "DataSourceType": "0",
    "Server": "ksdb7\\sql2012",
    "DataBase": "sgb_gvard_23_1",
    "UserName": "singleuser",
    "Password": "1",
    "BugzillaService": "https://ksws.keysystems.local:6001/",
    "BugzillaServiceKey": "z-2[,Fw]i/NCnh5v2wv@uc/gdb3+iz",
    "UseMQBroker": "True",
    "MQConnection": "amqp://admin:1@10.38.46.231:5672",

/*
    "SqlCacheSQLite": "Data Source Type=SQLite; Data Source=.\\temp\\db\\wrk.db3", //-- label="Настройки SQL кеша" x/>-->
    "SqlCache": "Data Source Type=PostgreSQL; Host=10.38.46.221; Port=5434; Database=rmq_cache; User ID=rsdbmgr; Password=1; Maximum Pool Size=550; App Pool Size=500; CommandTimeout=60",
    "SqlCache2": "Data Source Type=PostgreSQL; Host=10.38.46.221; Port=5434; Database=swrk_for_231; User ID=dbo; Password=Dsr2019; Maximum Pool Size=550; App Pool Size=500;",
    "NoSqlCacheRedis": "redis: 10.38.46.26:6379, user=admin, password=1",
*/
    "ScreenshotService": "http://ksws5:8080/prntscr"
    //"SessionStorage" : "nosql",
    //"SessionStorage": "sql" //-- label="Используемый SessionStore кеш (sql, nosql)" x/>-->
  }

  //bug 189397
  //"StyleSettings": {
  //  "LoginLogo": "ClientApp/build/resources/images/ks-tracker-logo.png",
  //  "LoginLogoDisconnect": "ClientApp/build/resources/images/login-disconnect-warning/admd_logo.png",
  //  "LoaderLogo": "ClientApp/build/resources/images/ks-tracker-logo.svg",
  //  "MainMenuLogo": "ClientApp/build/resources/images/budget-next-logo--light.svg",
  //  "FavIcons": [
  //    {
  //      "Rel": "icon",
  //      "Type": "image/x-icon",
  //      "Href": "images/favicons/ks-tracker-favicon.ico"
  //    },
  //    {
  //      "Rel": "shortcut icon",
  //      "Type": "image/x-icon",
  //      "Href": "images/favicons/ks-tracker-favicon.ico"
  //    }
  //  ]
  //}

  ,"SMUComplexMode": {
    "Override": "All"
  }
}
